local MedievalWall = ...

---------------------------
--| Register Core Asset |--
---------------------------
MedievalWall:registerAssetId("models/core.fbx/Prefab/Medieval_Wall_Core", "PREFAB_MEDIEVAL_WALL_CORE")

MedievalWall:register({
	DataType = "BUILDING_PART",
	Id = "MEDIEVAL_WALL_CORE",
	Name = "MEDIEVAL_WALL_NAME",
	Description = "MEDIEVAL_WALL_DESC",
	IsVisibleWhenBuilt = false,
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_MEDIEVAL_WALL_CORE"
	},
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 1,
			Value = 0
		}
	}
})

-------------------------
--| Register Monument |--
-------------------------
MedievalWall:register({
	DataType = "BUILDING",
	Id = "MEDIEVAL_WALLS",
	Name = "MEDIEVAL_WALL_NAME",
	Description = "MEDIEVAL_WALL_DESC",
	BuildingType = "DECORATION",
	AssetCoreBuildingPart = "MEDIEVAL_WALL_CORE",
	IsEditable = true,
	BuildingPartSetList = {
		{
			Name = "LIST_LIGHT_WALL_NAME",
			BuildingPartList = {
				"PREFAB_BRICK_WALL_LIGHT",
				"PREFAB_BRICK_WALL_HALF_LIGHT",
				"PREFAB_BRICK_WALL_SHORT_LIGHT",
				"PREFAB_BRICK_WALL_BROKEN_LIGHT",
				"PREFAB_BRICK_WALL_HALF_BROKEN_LIGHT",
				"PREFAB_BRICK_WALL_SHORT_BROKEN_LIGHT",
				"PREFAB_BRICK_WALL_SHORT_HALF_LIGHT",
				"PREFAB_BRICK_WALL_CURVE_LIGHT",
				"PREFAB_BRICK_WALL_SHORT_CURVE_LIGHT",
				"PREFAB_ARCH_LIGHT",
				"PREFAB_COBBLESTONE_WALL_SHORT_LIGHT"
			}
		},
		{
			Name = "LIST_LIGHT_PILLAR_NAME",
	        BuildingPartList = {
				"PREFAB_COBBLESTONE_PILLAR1_LIGHT",
				"PREFAB_COBBLESTONE_PILLAR2_LIGHT",
				"PREFAB_COBBLESTONE_PILLAR4_OCTO_LIGHT",
				"PREFAB_COBBLESTONE_PILLAR3_SHORT_LIGHT",
				"PREFAB_COBBLESTONE_PILLAR_BROKEN1_LIGHT",
				"PREFAB_COBBLESTONE_BASE_LIGHT",
				"PREFAB_BRICK_PILLAR_SQUARE_LIGHT",
				"PREFAB_BRICK_PILLAR_SQUARE_SHORT_LIGHT",
				"PREFAB_BRICK_PILLAR_OCTO_LIGHT",
				"PREFAB_BRICK_PILLAR_BROKEN1_LIGHT",
				"PREFAB_BRICK_PILLAR_FALLEN_LIGHT",
				"PREFAB_BRICK_BASE_LIGHT",
				"PREFAB_BRICK_PILLAR_EXTENTION_LIGHT"
			}
		},
		{
			Name = "LIST_DARK_WALL_NAME",
	        BuildingPartList = {
				"PREFAB_BRICK_WALL_DARK",
				"PREFAB_BRICK_WALL_HALF_DARK",
				"PREFAB_BRICK_WALL_SHORT_DARK",
				"PREFAB_BRICK_WALL_BROKEN_DARK",
				"PREFAB_BRICK_WALL_HALF_BROKEN_DARK",
				"PREFAB_BRICK_WALL_SHORT_BROKEN_DARK",
				"PREFAB_BRICK_WALL_SHORT_HALF_DARK",
				"PREFAB_BRICK_WALL_CURVE_DARK",
				"PREFAB_BRICK_WALL_SHORT_CURVE_DARK",
				"PREFAB_ARCH_DARK",
				"PREFAB_COBBLESTONE_WALL_SHORT_DARK",
			}
		},
		{
			Name = "LIST_DARK_PILLAR_NAME",
	        BuildingPartList = {
				"PREFAB_COBBLESTONE_PILLAR1_DARK",
				"PREFAB_COBBLESTONE_PILLAR2_DARK",
				"PREFAB_COBBLESTONE_PILLAR4_OCTO_DARK",
				"PREFAB_COBBLESTONE_PILLAR3_SHORT_DARK",
				"PREFAB_COBBLESTONE_PILLAR_BROKEN1_DARK",
				"PREFAB_COBBLESTONE_BASE_DARK",
				"PREFAB_BRICK_PILLAR_SQUARE_DARK",
				"PREFAB_BRICK_PILLAR_SQUARE_SHORT_DARK",
				"PREFAB_BRICK_PILLAR_OCTO_DARK",
				"PREFAB_BRICK_PILLAR_BROKEN1_DARK",
				"PREFAB_BRICK_PILLAR_FALLEN_DARK",
				"PREFAB_BRICK_BASE_DARK",
				"PREFAB_BRICK_PILLAR_EXTENTION_DARK"
			}
		},
		{
			Name = "LIST_FLOOR_NAME",
			BuildingPartList = {
				"PREFAB_BRICK_PATHWAY_LIGHT",
				"PREFAB_BRICK_PATHWAY_CROSS_LIGHT",
				"PREFAB_BRICK_PATHWAY_CORNER_LIGHT",
				"PREFAB_COBBLESTONE_PATHWAY_LIGHT",
				"PREFAB_COBBLESTONE_PATHWAY_CROSS_LIGHT",
				"PREFAB_COBBLESTONE_PATHWAY_CORNER_LIGHT",
				"PREFAB_BRICK_PATHWAY_DARK",
				"PREFAB_BRICK_PATHWAY_CROSS_DARK",
				"PREFAB_BRICK_PATHWAY_CORNER_DARK",
				"PREFAB_COBBLESTONE_PATHWAY_DARK",
				"PREFAB_COBBLESTONE_PATHWAY_CROSS_DARK",
				"PREFAB_COBBLESTONE_PATHWAY_CORNER_DARK"
			}
		},
		{
			Name = "LIST_GATE_NAME",
	        BuildingPartList = {
				"PREFAB_IRON_GATE_FENCE",
				"PREFAB_IRON_GATE_FENCE_HALF",
				"PREFAB_IRON_GATE_FENCE_CURVE",
				"PREFAB_IRON_GATE_SINGLE",
				"PREFAB_IRON_GATE_LOCK",
				"PREFAB_IRON_GATE_DOOR"
			}
		},
		{
			Name = "LIST_BUILDING_NAME",
			BuildingPartList = {
				"PREFAB_PAVILION_LIGHT",
				"PREFAB_TOMB_LIGHT",
				"PREFAB_TOMB_TOWER_LIGHT",
				"PREFAB_PAVILION_DARK",
				"PREFAB_TOMB_DARK",
				"PREFAB_TOMB_TOWER_DARK",
			}
		},
		{
			Name = "LIST_PILLAR_DECO_NAME",
			BuildingPartList = {
				"PREFAB_DECO_CROSS",
				"PREFAB_DECO_CROSS_LARGE",
				"PREFAB_DECO_LANTERN",
				"PREFAB_DECO_FLEURDELIS",
				"PREFAB_DECO_DRAGON",
				"PREFAB_DECO_SUNDIAL",
				"PREFAB_DECO_BRAZIER_ON_FIRE",
				"PREFAB_DECO_BRAZIER_ON",
				"PREFAB_DECO_BRAZIER_OFF"
			}
		},
		{
			Name = "LIST_WALL_DECO_NAME",
			BuildingPartList = {
				"PREFAB_DECO_WALL_TORCH_ON_FIRE",
				"PREFAB_DECO_WALL_TORCH",
				"PREFAB_DECO_WALL_CANOPY",
				"PREFAB_DECO_WALL_BANNER_RED",
				"PREFAB_DECO_WALL_BANNER_ORANGE",
				"PREFAB_DECO_WALL_BANNER_GREEN",
				"PREFAB_DECO_WALL_BANNER_TEAL",
				"PREFAB_DECO_WALL_BANNER_BLUE",
				"PREFAB_DECO_WALL_BANNER_PURPLE"
			}
		},
		{
			Name = "LIST_ORNAMENT_NAME",
			BuildingPartList = {
				"PREFAB_ORNAMENT_FLEUR",
				"PREFAB_ORNAMENT_FLEUR_GOLD",
				"PREFAB_ORNAMENT_CROSS"
			}
		}
    }
})